=== debian/changelog ===
bird3 (3.1.0-1) unstable; urgency=medium

  * Upload to unstable (Closes: #1090749: ITP bird3)
  * New upstream version 3.1.0

 -- Jakub Ružička <jru@debian.org>  Thu, 03 Apr 2025 23:14:39 +0200

bird3 (3.0.1-1) experimental; urgency=medium

  * New upstream version
  * Add lib/blake2* to debian/copyright
  * Update copyright years for active contributors

 -- Jakub Ružička <jru@debian.org>  Tue, 28 Jan 2025 13:19:22 +0100

bird3 (3.0.0-1) experimental; urgency=medium

  * Initial 3.0.0 packaging

 -- Jakub Ružička <jru@debian.org>  Tue, 17 Dec 2024 15:31:29 +0100
