=== debian/watch ===
version=4
https://bird.network.cz/download/bird-(3\.[\d.]+).tar.gz
