=== proto/l3vpn/Makefile ===
src := l3vpn.c
obj := $(src-o-files)
$(all-daemon)
$(cf-local)

tests_objs := $(tests_objs) $(src-o-files)
