=== debian/changelog ===
bird3 (3.1.4-1) unstable; urgency=medium

  * New upstream version
  * Update debian/watch for new BIRD download URL

 -- Jakub Ružička <jru@debian.org>  Fri, 26 Sep 2025 16:02:52 +0200
