=== debian/tests/control ===
Tests: test-bird.sh
Restrictions: needs-root
Depends:
 bird3,
