=== debian/watch ===
version=4
https://bird.nic.cz/download/ bird-(3\.[\d.]+).tar.gz
