=== debian/control ===
--- 
+++ 
@@ -5,32 +5,29 @@
  bison,
  ca-certificates,
  debhelper-compat (= 13),
+ dh-sequence-installsysusers,
  docbook-xsl,
  flex,
  libncurses-dev,
- libreadline-dev | libreadline6-dev | libreadline5-dev,
+ libreadline-dev,
  libssh-dev,
  m4,
- quilt,
  xsltproc,
 Build-Depends-Indep:
  linuxdoc-tools-latex,
  opensp,
  texlive-latex-extra,
-Maintainer: Jakub Ružička <jru@debian.org>
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/debian/bird3
-Vcs-Git: https://salsa.debian.org/debian/bird3.git
+Maintainer: Marco d'Itri <md@linux.it>
+Standards-Version: 4.7.2.0
+Vcs-Browser: https://salsa.debian.org/md/bird
+Vcs-Git: https://salsa.debian.org/md/bird.git -b debian/bird3/unstable
 Homepage: https://bird.network.cz/
-Rules-Requires-Root: no
 
 Package: bird3
-Architecture: kfreebsd-any linux-any
+Architecture: linux-any
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- adduser,
- ucf,
  ${misc:Depends},
  ${shlibs:Depends},
 Conflicts:
@@ -50,6 +47,7 @@
 
 Package: bird3-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends},
