## bird3 3.2.0

=== debian/changelog ===
bird3 (3.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 04 Jan 2026 20:10:22 +0100
