=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,6 @@
 	dh $@
 
 override_dh_auto_configure:
-	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
 	dh_auto_configure -- $(COMMON_FLAGS)
 
 override_dh_auto_build-indep:
